package a3test.sound;
import jp.sourceforge.acerola3d.a3.*;

//LockedA3なのに音声がLockedじゃないバグ
//(2010,10/23)応急処置したけど不完全
public class LockedA3Sound {
    public static void main(String[] args) throws Exception {
        A3Window w = new A3Window(300,300);
        Action3D a3 = new Action3D("x-res:///dog_cat.a3");
        a3.change("spin");
        w.addLockedA3(a3);
        double t = 0.0;
        while (true) {
            t=t+0.1;
            w.setCameraLocImmediately(10.0*Math.sin(t),0.0,0.0);
            Thread.sleep(100);
        }
    }
}
